LIBRARY IEEE;

USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_UNSIGNED.ALL;

ENTITY mux21 IS
    PORT (
          entree1 : IN  STD_LOGIC;
          entree0 : IN  STD_LOGIC;                    
          sel     : IN  STD_LOGIC;
          sortie  : OUT STD_LOGIC
    );
END mux21;

ARCHITECTURE rtl OF mux21 IS

BEGIN

PROCESS (sel, entree0, entree1)
BEGIN
	CASE sel IS
		WHEN '0' =>
			sortie <= entree0;
		WHEN OTHERS =>
			sortie <= entree1;
	END CASE;
END PROCESS;

END;
